**************************************************************************************************
**Stata Replication file for Moral Hazard: German Public Opinion About the Greek Debt Crisis******
**Brian C. Rathbun, Kathleen E. Powers, and Therese Anders****************************************
**September 6 2018********************************************************************************
**NOTE: Analyses in the R Replication file; this file shows demographic distribution and weights**
**************************************************************************************************

*Appendix Table 1
*Sample Demographic characteristics
sum education_1 if natid!=., d 
sum education_2 if natid!=., d 
sum education_3 if natid!=., d
sum education_4 if natid!=., d
sum education_5 if natid!=., d

sum Male if natid!=., d

sum age_1 if natid!=., d
sum age_2 if natid!=., d
sum age_3 if natid!=., d
sum age_4 if natid!=., d
sum age_5 if natid!=., d


*This code creates the weights used to produce Table 4 in the Online Appendix
*NOTE: These weights are already saved in the replication data file; code included here for completeness
ssc install ebalance, all replace

*_webal: entropy balancing weights
ebalance Male age_2 age_3 age_4 age_5 education_1 education_2 education_3 education_4, manualtargets(0.491 0.1415 0.199 0.1732 0.316 0.165 0.058 0.044 0.582)

*_webal2: trimmed/capped weights
recode _webal (5/60=5), gen(_webal2)

*Change names to make it easier for R
rename _webal webal
rename _webal2 webal2

*Appendix Table 2
sum reg_1 if natid!=.
sum reg_2 if natid!=.
sum reg_3 if natid!=.
sum reg_4 if natid!=.
sum reg_5 if natid!=.
sum reg_6 if natid!=.
sum reg_7 if natid!=.
sum reg_8 if natid!=.
